> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Super Admins Assigned to Company

GET https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}/super-admins

Lists all Super Admins assigned to the Company associated with `companyId`. This endpoint includes extended Super Admin account data for each Super Admin. The `id` returned in the response may be used with other Super Admin API endpoints as the `superAdminId`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/super-admin/get-companies

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — The unique ID of a Company. Can be used with the B2B Edition Companies API endpoints (see [Company Management](/developer/api-reference/rest/b2b/management/company/companies) or [Companies and Users](/developer/api-reference/rest/b2b/storefront/company/companies) for more information).

### Query parameters

- `limit` (integer, optional, default: 10) — Maximum number of entries to return per page of results.
- `offset` (integer, optional, default: 0) — The number of entries to skip before returning the current page of results.
- `q` (string, optional) — Search string for the request. Response data will be limited to accounts matching this string in `firstName`, `lastName`, or `email`.
- `isIncludeExtraFields` (enum, optional, default: 0) — Indicates whether to include extra fields in the response. A value of `0` will exclude extra fields, while a value of `1` will include them.
  - Allowed values: `0`, `1`

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200)
- `data` (list of CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

NOT FOUND

- `code` (integer, optional, default: 404)
- `data` (CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaDataItems

### CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: The ID provided does not match an available resource of the appropriate type.)

### CompaniesCompanyIdSuperAdminsGetResponsesContentApplicationJsonSchemaData

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "channelList": [
        {
          "channelId": 1,
          "channelName": "Great Buys Wholesale",
          "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
        }
      ],
      "createdAt": 1745868780,
      "email": "marie.curie@example.com",
      "extraFields": [
        {
          "fieldName": "customField1",
          "fieldValue": "foo"
        }
      ],
      "firstName": "Marie",
      "id": 123456,
      "lastName": "Curie",
      "phone": "string",
      "updatedAt": 1750962754,
      "uuid": "string"
    }
  ],
  "meta": {
    "message": "Success",
    "pagination": {
      "limit": 10,
      "offset": 0,
      "totalCount": 789
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins"

querystring = {"q":"alice"}

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/14/super-admins?q=alice")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```